insert into [ScheduleType] ([ScheduleTypeID], [Type]) 
	select 2, N'Daily'
    where not exists (select * from  ScheduleType where  ScheduleTypeID = 2 )
go




/*  Operator */
INSERT INTO Operator (OperatorID, OperatorName, Symbol)
	select 0, 'EQUALS', '='
    where not exists (select * from  Operator where  OperatorID = 0 )
GO

INSERT INTO Operator(OperatorID, OperatorName, Symbol)
   select 1, 'DOES NOT EQUAL', '!='
    where not exists (select * from  Operator where  OperatorID = 1 )
GO

INSERT INTO Operator (OperatorID, OperatorName, Symbol)
	select 2, 'GREATER-THAN', '>'
    where not exists (select * from  Operator where  OperatorID = 2 )
GO

INSERT INTO Operator(OperatorID, OperatorName, Symbol)
	select 3, 'LESS-THAN', '<'
    where not exists (select * from  Operator where  OperatorID = 3 )
GO

INSERT INTO Operator(OperatorID, OperatorName, Symbol)
	select 4, 'CONTAINS', 'CONTAINS'
    where not exists (select * from  Operator where  OperatorID = 4 )
GO

INSERT INTO Operator
(OperatorID, OperatorName, Symbol)
	select 5, 'DOES NOT CONTAIN', 'NOT CONTAINS'
    where not exists (select * from  Operator where  OperatorID = 5 )
GO

INSERT INTO Operator(OperatorID, OperatorName, Symbol)
	select 6, 'GREATER-THAN OR EQUAL TO', '>='
    where not exists (select * from  Operator where  OperatorID = 6 )
GO

INSERT INTO Operator(OperatorID, OperatorName, Symbol)
	select 7, 'LESS-THAN OR EQUAL TO', '<='
    where not exists (select * from  Operator where  OperatorID = 7 )
GO

INSERT INTO Operator(OperatorID, OperatorName, Symbol)
	select 8, 'STARTS-WITH', 'STARTS'
    where not exists (select * from  Operator where  OperatorID = 8 )
GO



INSERT INTO PrintPageType(PrintPageTypeID, PrintPageTypeName)
	select 1, 'Total'
    where not exists (select * from  PrintPageType where  PrintPageTypeID = 1 )
GO

INSERT INTO PrintPageType(PrintPageTypeID, PrintPageTypeName)
	select 2, 'Mono'
    where not exists (select * from  PrintPageType where  PrintPageTypeID = 2 )
GO

INSERT INTO PrintPageType(PrintPageTypeID, PrintPageTypeName)
	select 3, 'Color'
    where not exists (select * from  PrintPageType where  PrintPageTypeID = 3 )
GO



INSERT INTO PrintCategory(PrintCategoryID, PrintCategoryName)
	select 1, 'Total'
    where not exists (select * from  PrintCategory where  PrintCategoryID = 1 )
GO

INSERT INTO PrintCategory(PrintCategoryID, PrintCategoryName)
	select 2, 'Printer'
    where not exists (select * from  PrintCategory where  PrintCategoryID = 2 )
GO

INSERT INTO PrintCategory(PrintCategoryID, PrintCategoryName)	
	select 3, 'Copier'
    where not exists (select * from  PrintCategory where  PrintCategoryID = 3 )
GO

INSERT INTO PrintCategory(PrintCategoryID, PrintCategoryName)	
	select 4, 'Scan'
    where not exists (select * from  PrintCategory where  PrintCategoryID = 4 )
GO

INSERT INTO PrintCategory(PrintCategoryID, PrintCategoryName)
	select 5, 'Fax'
    where not exists (select * from  PrintCategory where  PrintCategoryID = 5 )
GO
	

SET IDENTITY_INSERT AlertType ON
go

insert into AlertType (AlertTypeID, AlertTypeName, IsLegacy90) 	
	select 23, 'PrintServices_ErrorMessage', 1
    where not exists (select * from  AlertType where  AlertTypeID = 23 )
go
insert into AlertType (AlertTypeID, AlertTypeName, IsLegacy90) 	
	select 24, 'PrintServices_Status', 1
    where not exists (select * from  AlertType where  AlertTypeID = 24 )
go
insert into AlertType (AlertTypeID, AlertTypeName, IsLegacy90) 	
	select 25, 'PrintServices_Supplies', 1
    where not exists (select * from  AlertType where  AlertTypeID = 25 )
go
insert into AlertType (AlertTypeID, AlertTypeName, IsLegacy90) 	
	select 26, 'PrintServices_TonerLevel', 1
    where not exists (select * from  AlertType where  AlertTypeID = 26 )
go
insert into AlertType (AlertTypeID, AlertTypeName, IsLegacy90) 	
	select 27, 'PrintServices_PageCount', 1
    where not exists (select * from  AlertType where  AlertTypeID = 27 )

go

insert into AlertType (AlertTypeID, AlertTypeName, IsLegacy90) 	
	select 102, 'WindowsEventNT6', 1
    where not exists (select * from  AlertType where  AlertTypeID = 102 )

go

SET IDENTITY_INSERT AlertType OFF
go








/*
	Insert default Printer Transform xml file name.
*/
INSERT INTO MWConfig([Key], [Value])
	select 'DefaultPrinterTransform', 'StdSnmpTransform.xml'
    where not exists (select * from  MWConfig where  [Key] = 'DefaultPrinterTransform' )
GO


/*
	Power Management
*/

insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '637ea02f-bbcb-4015-8e2c-a1c7b9c0b546', 'Critical battery action', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = '637ea02f-bbcb-4015-8e2c-a1c7b9c0b546' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select 'd8742dcb-3e6a-4b3c-b3fe-374623cdcf06', 'Low battery notification action', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = 'd8742dcb-3e6a-4b3c-b3fe-374623cdcf06' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '7648efa3-dd9c-4e3e-b566-50f929386280', 'Power button action', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = '7648efa3-dd9c-4e3e-b566-50f929386280' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '96996bc0-ad50-47ec-923b-6f41874dd9eb', 'Sleep button action', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = '96996bc0-ad50-47ec-923b-6f41874dd9eb' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '5ca83367-6e45-459f-a27b-476b1d01c936', 'Lid close action', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = '5ca83367-6e45-459f-a27b-476b1d01c936' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select 'a7066653-8d6c-40a8-910e-a1f54b84c7e5', 'Start menu power button', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = 'a7066653-8d6c-40a8-910e-a1f54b84c7e5' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '6738e2c4-e8a5-4a42-b16a-e040e769756e', 'Turn off hard disk after', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = '6738e2c4-e8a5-4a42-b16a-e040e769756e' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select 'a4b195f5-8225-47d8-8012-9d41369786e2', 'Turn_on_applications_to_prevent_sleep', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = 'a4b195f5-8225-47d8-8012-9d41369786e2' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '9d7815a6-7ee4-497e-8888-515a05f02364', 'Hibernate after', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = '9d7815a6-7ee4-497e-8888-515a05f02364' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '0e796bdb-100d-47d6-a2d5-f7d2daa51f51', 'Require_password_on_wakeup', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = '0e796bdb-100d-47d6-a2d5-f7d2daa51f51' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '29f6c1db-86da-48c5-9fdb-f2b67b1f44da', 'Sleep after', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = '29f6c1db-86da-48c5-9fdb-f2b67b1f44da' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '94ac6d29-73ce-41a6-809f-6363ba21b47e', 'Turn_off_hybrid_sleep', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = '94ac6d29-73ce-41a6-809f-6363ba21b47e' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '90959D22-D6A1-49B9-AF93-BCE885AD335B', 'Turn_off_adaptive_display_timeout', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = '90959D22-D6A1-49B9-AF93-BCE885AD335B' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '3c0bc021-c8a8-4e07-a973-6b14cbcb2b7e', 'Turn off display after', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = '3c0bc021-c8a8-4e07-a973-6b14cbcb2b7e' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select 'abfc2519-3608-4c2a-94ea-171b0ed546ab', 'Allow_standby_states', '', 6.0
	where not exists (select * from PowerSettings where PowerSettingGuid = 'abfc2519-3608-4c2a-94ea-171b0ed546ab' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select 'd4c1d4c8-d5cc-43d3-b83e-fc51215cb04d', 'Allow_auto_sleep_with_open_network_files', '', 6.1
	where not exists (select * from PowerSettings where PowerSettingGuid = 'd4c1d4c8-d5cc-43d3-b83e-fc51215cb04d' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '17aaa29b-8b43-4b94-aafe-35f64daaf1ee', 'Reduce_display_brightness_after', '', 6.1
	where not exists (select * from PowerSettings where PowerSettingGuid = '17aaa29b-8b43-4b94-aafe-35f64daaf1ee' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select 'f3c5027d-cd16-4930-aa6b-90db844a8f00', 'Reserve_battery_notification_level', '', 6.1
	where not exists (select * from PowerSettings where PowerSettingGuid = 'f3c5027d-cd16-4930-aa6b-90db844a8f00' )
go
insert into PowerSettings (PowerSettingGuid, ElementName, [Description], MinWinNTVersionSupported) 
	select '7bc4a2f9-d8fc-4469-b07b-33eb785aaca0', 'Specify_unattended_sleep_timeout', '', 6.1
	where not exists (select * from PowerSettings where PowerSettingGuid = '7bc4a2f9-d8fc-4469-b07b-33eb785aaca0' )
go